Passer au contenu principal
GET
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
search
Retourne les enregistrements du catalogue filtrés par préfixe
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/search \
  --header 'Authorization: Bearer <token>'
{
  "catalogInfo": {
    "id": "<string>",
    "name": "<string>",
    "columns": [
      {
        "name": "<string>",
        "type": "Text",
        "notEmpty": true,
        "title": "<string>",
        "parameterType": "Text",
        "order": 123,
        "isPredefined": true
      }
    ],
    "catalogType": "Custom",
    "description": "<string>",
    "importFileName": "<string>",
    "locale": "International",
    "recordsCount": 123,
    "usedInSkills": [
      {
        "skillId": "<string>",
        "version": 123
      }
    ],
    "lastRecordsUpdateTime": "<string>"
  },
  "records": [
    {
      "externalId": "<string>",
      "columnValues": {}
    }
  ]
}

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

catalogId
string
requis

ID du catalogue

Paramètres de requête

prefix
string

Valeur du préfixe. Longueur minimale : 2 caractères.

Minimum string length: 2
Limit
integer<int32>

Nombre maximal d’enregistrements à renvoyer dans la réponse. Nombre maximal d’enregistrements à inclure dans la réponse.

Offset
integer<int32>

Décalage de pagination. Il indique le nombre d’enregistrements à ignorer avant de commencer à constituer le jeu de résultats. Offset de pagination. Indique le nombre d’enregistrements à ignorer avant de commencer à constituer le jeu de résultats.

Réponse

OK

Représente le résultat d’une opération de recherche dans le catalogue.

catalogInfo
object

Informations complémentaires sur le profil de jeu de données de type « Catalog »

records
object[] | null

Liste des enregistrements de catalogue qui correspondent aux critères de recherche.